# class toHelp

Display a help browser. More...

Definition | `#include <tohelp.h>`
Inherits | QDialog (qt) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toHelp (QWidget *parent,const char *name,bool modal=true)
- virtual ~toHelp ()

#### Public Static Methods

- static QString path (const QString &path=QString::null)
- static void displayHelp (const QString &context,QWidget *parent=NULL)
- static void displayHelp (QWidget *parent=NULL)
- static void connectDialog (QDialog *dialog)

#### Public Members

- friend class toHelpPrefs

## Detailed Description

Display a help browser. A help manual consists of HTML pages where at least two pages are mandatory.

The first one is toc.htm which is parsed for links which are added to the left pane tree view. Indentation is handled with the tag dl which open and close a tree branch.

The following file would result in two main headings with the first one having one leaf widget as well.

    1 Head

    2 Foot

The second file which is optional and should be called index.htm if it exists should contain a file with links to keywords in the manual. This must be present for search to be possible in the manual. Keywords are indicated by the

  tag in these files as well as a link to where the keyword is described. Indentation is possible using the
  tag is possible here as well.

  The following will make the keywords "Head", "Head, Head Head" and "Foot" available.

      Head

          Head Head

      Foot

  The reason the files look this way is that this way they are compatible with the Oracle manuals from Oracle Corporation and these can be browsed as well in this help viewer.

  toHelp (QWidget *parent,const char *name,bool modal=true)

  ### toHelp

  Create help widget.

  Parameters:

  parent | Parent widget.
  name | Name of widget.
  modal | If dialog is for a modal dialog or not

  QString path (const QString &path=QString::null)

  ### path

  [static]

  Help function to get a clean path from a path string. Strips trailing / etc.

  Parameters:

  path | Path to strip.

  Returns: Stripped path in string.

  ~toHelp ()

  ### ~toHelp

  [virtual]

  void displayHelp (const QString &context,QWidget *parent=NULL)

  ### displayHelp

  [static]

  Display a specific help context in the internal manual. Pops up a help window that displays the selected topic.

  Parameters:

  context | Context to diaplay.
  parent | If NULL use modal dialog and main window.

  void displayHelp (QWidget *parent=NULL)

  ### displayHelp

  [static]

  Display a specific help context in the internal manual. The context is derived from the widget that currently holds the focus.

  Parameters:

  parent | If NULL use modal dialog and main window.

  void connectDialog (QDialog *dialog)

  ### connectDialog

  [static]

  Connect the F1 key to display help for a modal dialog. Don't use this directly, instead call displayHelp directly and bind Key_F1 to that call. This is because the help in modal dialogs are cludgy at best and should be avoided if possible.

  Parameters:

  dialog | Dialog to connect accelerator to.

  friend class toHelpPrefs

  ### toHelpPrefs